<?php

namespace Drupal\notebook\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Form\FormBuilderInterface;
use Drupal\Core\Render\Markup;
use Drupal\Core\Render\RendererInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class Display.
 *
 * @package Drupal\notebook\Controller
 */
class EditNoteFormDisplay extends ControllerBase {

  /**
   * The form builder.
   *
   * @var \Drupal\Core\Form\FormBuilderInterface
   */
  protected $formBuilder;

  /**
   * The Renderer Interface.
   *
   * @var Drupal\Core\Render\RendererInterface
   */
  protected $renderer;

  /**
   * Constructs a new object in EditNoteFormDisplay.
   *
   * @param \Drupal\Core\Form\FormBuilderInterface $formBuilder
   *   The database connection.
   * @param Drupal\Core\Render\RendererInterface $renderer
   *   The Render Interface.
   */
  public function __construct(FormBuilderInterface $formBuilder, RendererInterface $renderer) {
    $this->formBuilder = $formBuilder;
    $this->renderer = $renderer;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('form_builder'),
      $container->get('renderer')
    );
  }

  /**
   * Edit Form Display.
   *
   * @return string
   *   Return table data Editable .
   */
  public function editNote() {
    $id = "edit-note";
    $form = $this->formBuilder()->getForm('\Drupal\notebook\Form\editNoteForm');
    $renderForm = $this->renderer->render($form);
    // $renderForm = \Drupal::service('renderer')->render($form);
    $output1 = [
      '#markup' => Markup::create($renderForm),
    ];
    return [
      '#theme' => 'notebook_page',
      '#output1' => $output1,
      '#output_id' => $id,
    ];

  }

}
