<?php

namespace Drupal\notebook\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Database\Connection;
use Drupal\Core\Url;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\RedirectResponse;

/**
 * Class Display.
 *
 * @package Drupal\notebook\Controller
 */
class RemoveNote extends ControllerBase {

  /**
   * The database connection.
   *
   * @var \Drupal\Core\Database\Connection
   */
  protected $database;

  /**
   * Constructs a \Drupal\notebook\Controller\RemoveNote.
   *
   * @param \Drupal\Core\Database\Connection $database
   *   The database connection.
   */
  public function __construct(Connection $database) {
    $this->database = $database;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('database')
    );
  }

  /**
   * Removing notes.
   *
   * @return string
   *   Return Table format data.
   */
  public function removeThisNote() {
    $note_id = $_GET['id'];
    $result = "";
    $delete = $this->database->delete('notebook_table');
    $delete->condition('notes_id', $value = $note_id, $operator = '=');
    $result = $delete->execute();
    $response = new RedirectResponse(Url::fromRoute('notebook.page')->toString());
    return $response;

  }

}
